Transparent Data Encryptions - Get
Gets a logical database's transparent data encryption.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/transparentDataEncryption/current?api-version=2021-02-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
|
The name of the logical database for which the transparent data encryption is defined. |
|
resource
|
path | True |
|
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
|
The name of the server. |
|
subscription
|
path | True |
|
The subscription ID that identifies an Azure subscription. |
|
tde
|
path | True |
The name of the transparent data encryption configuration. |
|
|
api-version
|
query | True |
|
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the Logical database transparent data encryption. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Get a database's transparent data encryption
Sample Request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/security-tde-resourcegroup/providers/Microsoft.Sql/servers/securitytde/databases/testdb/transparentDataEncryption/current?api-version=2021-02-01-preview
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/security-tde-resourcegroup/providers/Microsoft.Sql/servers/securitytde/databases/testdb",
"name": "current",
"type": "Microsoft.Sql/servers/databases/transparentDataEncryption",
"properties": {
"state": "Enabled"
}
}
Definitions
|
Logical |
A logical database transparent data encryption state. |
|
Transparent |
The name of the transparent data encryption configuration. |
|
Transparent |
Specifies the state of the transparent data encryption. |
LogicalDatabaseTransparentDataEncryption
A logical database transparent data encryption state.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource ID. |
| name |
|
Resource name. |
| properties.state |
Specifies the state of the transparent data encryption. |
|
| type |
|
Resource type. |
TransparentDataEncryptionName
The name of the transparent data encryption configuration.
| Name | Type | Description |
|---|---|---|
| current |
|
TransparentDataEncryptionState
Specifies the state of the transparent data encryption.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|